Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_Opaque_Type_Compare Class Reference
[OSCL Base]

`#include <oscl_opaque_type.h>`

Inheritance diagram for Oscl_Opaque_Type_Compare:

## Public Methods
virtual | ~Oscl_Opaque_Type_Compare ()
virtual void | swap (OsclAny *a, const OsclAny *b)=0
virtual int | compare_LT (OsclAny *a, OsclAny *b) const=0
virtual int | compare_EQ (const OsclAny *a, const OsclAny *b) const=0

## Detailed Description

Opaque type operations with swap & comparisons.

## Constructor & Destructor Documentation

virtual Oscl_Opaque_Type_Compare::~Oscl_Opaque_Type_Compare | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual int Oscl_Opaque_Type_Compare::compare_EQ | ( | const OsclAny * | a,
|  | const OsclAny * | b
| ) | const`[pure virtual]`

| Return a==b. Implemented in OsclPriorityQueue< Qelem, Alloc, Container, Compare >, OsclPriorityQueue< TOsclReady, OsclReadyAlloc, Oscl_Vector< TOsclReady, OsclReadyAlloc >, OsclReadyCompare >, and OsclPriorityQueue< TOsclReady, OsclReadyAlloc, Oscl_Vector< TOsclReady, OsclReadyAlloc >, OsclTimerCompare >.

virtual int Oscl_Opaque_Type_Compare::compare_LT | ( | OsclAny * | a,
|  | OsclAny * | b
| ) | const`[pure virtual]`

| Return a<b. Implemented in OsclPriorityQueue< Qelem, Alloc, Container, Compare >, OsclPriorityQueue< TOsclReady, OsclReadyAlloc, Oscl_Vector< TOsclReady, OsclReadyAlloc >, OsclReadyCompare >, and OsclPriorityQueue< TOsclReady, OsclReadyAlloc, Oscl_Vector< TOsclReady, OsclReadyAlloc >, OsclTimerCompare >.

virtual void Oscl_Opaque_Type_Compare::swap | ( | OsclAny * | a,
|  | const OsclAny * | b
| ) | `[pure virtual]`

| Swap element at "a" with element at "b". Both pointers must be non-NULL. Implemented in OsclPriorityQueue< Qelem, Alloc, Container, Compare >, OsclPriorityQueue< TOsclReady, OsclReadyAlloc, Oscl_Vector< TOsclReady, OsclReadyAlloc >, OsclReadyCompare >, and OsclPriorityQueue< TOsclReady, OsclReadyAlloc, Oscl_Vector< TOsclReady, OsclReadyAlloc >, OsclTimerCompare >.

The documentation for this class was generated from the following file:

- oscl_opaque_type.h